Bookmark and Share
RSS

Recent Posts

Another Lifeline for Those on AIX 5.3 Extended Support

March 29, 2016

Nobody likes to admit it, but many customers are still running AIX 5.3 on older hardware. There are many reasons for this. Maybe you have a few LPARs running an older OS. Maybe you're reliant on a critical application that's no longer supported. Maybe you've fallen so far behind on patching and upgrading that running an old OS is an acceptable risk. Or perhaps it's simply the stubbornness of an "if it ain't broke, don't fix it" mentality.

Whatever your reason, as long as IBM continued to offer extended support for AIX 5.3, you had some peace of mind. Hopefully though, you understood that this wouldn't last. And now we know: Earlier in March, IBM announced that AIX 5.3 extended support will be discontinued on April 30. However, IBM is throwing customers another lifeline by offering the capability to run AIX 5.3 natively on POWER8 servers:

Many clients are still using an IBM AIX 5.3 application environment on their IBM Power Systems serves. AIX 5.3 reached end of life in April 2015. However, an extended service contract was offered for 12 months on all supported hardware. This contract will end on April 30, 2016.

Many clients have a subset of applications that are still dependent on a supported AIX 5.3 environment. IBM is enabling AIX 5.3 to run natively on POWER8 servers. The PTF U86665.bff will enable the AIX 5.3 image to run on POWER8 servers and will be available on March 11, 2016.

The LPAR must be at AIX 5.3 TL12 SP9 (latest 5.3 release).

The POWER8 LPAR will run in POWER6 compatibility mode and is limited to SMT2 mode. SMT2 mode results in some capacity loss compared to SMT4/SMT8 mode. IBM publishes SMT2 rPerf values that can be used to quantify POWER8 SMT2 capacity.

AIX 5.3 POWER8 LPARs only support Virtual I/O configurations vSCSI, NIPV, and VLAN.

Only 5.3 POWER8 technology-based system installation methods are supported:

mksysb: First, perform an in-place update to a supported (POWER5/ POWER6/ POWER7) 5.3 TL12 SP9 LPAR with PTF U866665. Standard mksysb command can then be used to capture a POWER8 capable mksysb image. The mksysb image can then be used to install POWER8 LPARs.

NIM: A 5.3 TL12 SP9 NIM environment must be updated to support POWER8. A 5.3 TL12 SP9 NIM lppsource must be updated to include PTF U866665. A NIM SPOT must then be created or updated to utilize the updated lppsource.

All POWER8 systems are supported with the following restrictions:
* POWER8 systems must be at the 840 firmware level.
* POWER8 LPARs must be served by a 2.2.4.10 or 2.2.3.60 VIOS.

Service and support contract: The AIX 5.3 environment on POWER is planned to be supported for a total of 15 months through June 30, 2017. Clients will have to first acquire a service and support contract, after which they will be entitled to download the PTF.

Of course others outside of IBM have written on this prior to the official announcement (here and here). It also came up in an IBM training class I'd attended, where I was told not only about the extension, but its benefits:

This is a new offering and a very good news for customers that have AIX 5.3 applications needing a supported environment for the next 12-15 months. Customers can usually drop down a tier from their existing servers when they move to POWER8, requiring fewer cores due to higher performance, and save on per core service and support costs. The resulting savings are often significant enough to justify investment in new hardware. Moreover, with fewer cores, the customers can save significantly in software license costs as well.

Chris Gibson has a nice write-up, along with a first look at running a 5.3 LPAR on POWER8 system.

So if you're one of those holdouts, let's hear from you: Will this new capability motivate you to migrate your 5.3 LPARs to POWER8? If not, why not?

 

Posted March 29, 2016 | Permalink

Post a Comment

Note: Comments are moderated and will not appear until approved

comments powered by Disqus